---
layout: page
title: proxmox_virtual_environment_hardware_mapping_dir
parent: Data Sources
subcategory: Virtual Environment
description: |-
  Retrieves a directory mapping from a Proxmox VE cluster.
---

# Data Source: proxmox_virtual_environment_hardware_mapping_dir

Retrieves a directory mapping from a Proxmox VE cluster.

## Example Usage

```terraform
data "proxmox_virtual_environment_hardware_mapping_dir" "example" {
  name = "example"
}

output "data_proxmox_virtual_environment_hardware_mapping_dir" {
  value = data.proxmox_virtual_environment_hardware_mapping_dir.example
}
```

<!-- schema generated by tfplugindocs -->
## Schema

### Required

- `name` (String) The name of this directory mapping.

### Read-Only

- `comment` (String) The comment of this directory mapping.
- `id` (String) The unique identifier of this directory mapping data source.
- `map` (Attributes Set) The actual map of devices for the directory mapping. (see [below for nested schema](#nestedatt--map))

<a id="nestedatt--map"></a>
### Nested Schema for `map`

Read-Only:

- `node` (String) The node name attribute of the map.
- `path` (String) The path attribute of the map.
